=== debian/control ===
Source: ros-one-dialogflow-task-executive
Section: misc
Priority: optional
Maintainer: Shingo Kitagawa <shingogo.5511@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-one-actionlib-msgs, ros-one-catkin, ros-one-catkin-virtualenv, ros-one-message-generation, ros-one-roslaunch
Homepage: http://ros.org/wiki/dialogflow_task_executive
Standards-Version: 3.9.2

Package: ros-one-dialogflow-task-executive
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-actionlib-msgs, ros-one-app-manager, ros-one-message-runtime, ros-one-speech-recognition-msgs, ros-one-std-msgs, ros-one-topic-tools
Description: A ROS package for Google Dialogflow and launching apps via Dialogflow
